> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visitoai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List channels



## OpenAPI

````yaml /openapi.json get /channels
openapi: 3.0.0
info:
  title: Visito API
  version: 1.0.0
servers: []
security: []
paths:
  /channels:
    get:
      tags:
        - Channels
      summary: List channels
      parameters:
        - schema:
            type: string
            enum:
              - whatsapp
              - messenger
              - instagram
              - airbnb
              - voice
              - web
              - playground
            description: Filter channels by type
            example: whatsapp
          required: false
          description: Filter channels by type
          name: type
          in: query
      responses:
        '200':
          description: A list of available channels
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Channel'
                    description: List of available channels
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    Channel:
      type: object
      properties:
        id:
          type: string
          nullable: true
          example: 68505cb92a11ea971d9df8bf
          description: Channel ID
        name:
          type: string
          nullable: true
          example: +1 466 777 777
          description: >-
            The name of the channel (e.g., phone number for WhatsApp or account
            name for Instagram).
        type:
          type: string
          enum:
            - whatsapp
            - messenger
            - instagram
            - airbnb
            - voice
            - web
            - playground
          example: whatsapp
          description: The type of channel
        active:
          type: boolean
          nullable: true
          default: false
          example: true
          description: >-
            Whether AI automation is active for this channel (Visito will reply
            to new incoming messages).
      required:
        - type
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Use `Authorization: Bearer <api_key>`.'

````